'use client'
import { useTranslation } from "@/hooks/useTranslation";
import { Button, Tooltip } from "@nextui-org/react";
import { Pause } from "react-feather";
import { useRouter } from "next/navigation";
import useConfigChatStore from "@/src/feature/messenger/store/chat_store/useConfigChatStore";

export default function PauseSessionButton() {
    const { trans } = useTranslation();
    const router = useRouter();
    const id_chatbot = useConfigChatStore(state => state.idChatbot);
    const selectIdChatbot = id_chatbot
    const pauseSession = async () => {
        const data = {
            id_chatbot: selectIdChatbot
        }
        try {
            const response = await fetch(`${process.env.ASSET_PREFIX}/api/pause-session`, {
                method: 'POST',
                body: JSON.stringify(data)
            });
    
            if (response.ok) {
                router.push('/pause');
                router.refresh();
            }
        } catch (error) {
            console.error('Error al pausar la sesión:', error);
        }
    };

    return (
        <Tooltip
          placement="right"
          content={trans('pause_session_button_title')}	
          color="default"
        >
            <Button onPress={pauseSession} color="default" radius="full" className="min-w-11 min-h-11 size-11 p-0 bg-white text-indigo-600" variant="solid">
                <Pause size={26} />
            </Button>
        </Tooltip>
    )
}